from typing import Annotated

from fastapi import Header
from src.const import MANAGEMENT_TENANT_NAME_HEADER

TENANT_NAME_HEADER_DESCRIPTION = """
エンドユーザー認証の場合に、テナント名を指定するヘッダーです。
クライアント認証の場合は指定不要です。

管理用テナントのテナント名を指定してください。 (e.g. works)
"""


def get_tenant_name(
    tenant_name: Annotated[
        str | None,
        Header(alias=MANAGEMENT_TENANT_NAME_HEADER, description=TENANT_NAME_HEADER_DESCRIPTION),
    ] = None,
) -> str | None:
    return tenant_name
